Alfresco Community 4.0.bのインストール中にエラーが発生しました - Unterminated Uqoted String

Ubuntu 10.04でAlfresco 4.0.bをテキストモードでインストールしようとすると、次のエラーが表示されます。

./alfresco-community-4.0.b-installer-linux-x64.bin: 1: Syntax error: Unterminated quoted string

これはインストーラやUbuntuに関連していますか?いくつかは、それを実行するのに役立ちますか?

0
私の勘違いはあなたが破損したダウンロードを持っていることです - ファイルのMD5ハッシュをチェックし、それが正しいことを確認できますか?
追加された 著者 Gagravarr,
あなたはあなたの問題を解決しましたか?あなた自身で解決した場合は、回答に印を付けてください。
追加された 著者 Florian,

2 答え

破損しているか、または32ビットオペレーティングシステムで作業している場合は、次のコマンドを使用してください:uname -mこれを知って、それ以外のものがあれば:x86_64互換性のあるバージョンのUBUNTUを使用していない場合は、 UBUNTUをインストールするか、Alfrescoのハードコーディングされたインストールを選択します。これは、4番目のバージョンに32ビットのAlfrescoインストーラがないためです。

1
追加された
uname -m は私に "i686"
追加された 著者 Kris,
長い時間前!その後、32ビットOSで作業しています!
追加された 著者 Yazid Erman,

同じ問題がありましたが、.binが次のように実行可能であることを確認して解決しました:

chmod 777 

また、rootとして実行し、ファイル名の前に './'を付ける必要があります:

$ ./alfresco-community-4.0.b-installer-linux-x64.bin

私はシェル/ bashスクリプトの実行に慣れていたので、 sh を使用しました。私はそれが "引用符で囲まれていない文字列"エラーを思いついた理由だと思います。

chmod 777 の代わりに chmod + a を使用したこともあります。

0
追加された